"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlMetricCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var Typography_1 = require("onyxia-ui/Typography");
var tss_react_1 = require("tss-react");
var GlButton_1 = require("../utils/GlButton");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var GlLogo_1 = require("../utils/GlLogo");
var GlCard_1 = require("./GlCard");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": __assign({ "position": "relative", "display": "flex", "gap": theme.spacing(2), "justifyContent": "space-between", "flexDirection": "column", "padding": theme.spacing(3) }, (theme.responsive.down("lg")
            ? {
                "margin": theme.spacing(1),
            }
            : {})),
        "subHeading": __assign({ "fontWeight": "normal", "textAlign": "center" }, (theme.responsive.down("lg")
            ? {
                "fontSize": "18px",
                "lineHeight": "28px",
            }
            : {})),
        "heading": {
            "display": "flex",
            "justifyContent": "center",
            "alignItems": "center",
            "gap": theme.spacing(1.7),
        },
        "headingMetric": __assign({ "fontSize": "86px", "lineHeight": "0px" }, (theme.responsive.down("lg")
            ? {
                "fontSize": "52px",
                "lineHeight": "60px",
            }
            : {})),
        "icon": {
            "width": 50,
            "height": 50,
            "fill": theme.colors.palette.focus.main,
        },
        "buttonWrapper": {
            "textAlign": "center",
        },
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlMetricCard = react_1.memo(function (props) {
    var buttonLabel = props.buttonLabel, link = props.link, className = props.className, iconUrl = props.iconUrl, subHeading = props.subHeading, number = props.number;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsxs(GlCard_1.GlCard, __assign({ className: tss_react_1.cx(classNames.root, className), link: link }, { children: [jsx_runtime_1.jsxs("div", __assign({ className: classNames.heading }, { children: [number !== undefined && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.headingMetric, variant: "h1" }, { children: number }), void 0)),
                    iconUrl !== undefined && (jsx_runtime_1.jsx(GlLogo_1.GlLogo, { className: tss_react_1.cx(classNames.icon), logoUrl: iconUrl }, void 0))] }), void 0),
            subHeading && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.subHeading, variant: "h3" }, { children: subHeading }), void 0)),
            buttonLabel && (jsx_runtime_1.jsx("div", __assign({ className: classNames.buttonWrapper }, { children: jsx_runtime_1.jsx(GlButton_1.GlButton, __assign({ type: "submit", color: "secondary", href: link === null || link === void 0 ? void 0 : link.href, onClick: link === null || link === void 0 ? void 0 : link.onClick }, { children: buttonLabel }), void 0) }), void 0))] }), void 0));
});
//# sourceMappingURL=GlMetricCard.js.map