"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlFooter = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var GlLogo_1 = require("../utils/GlLogo");
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var tss_react_1 = require("tss-react");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": __assign({ "display": "flex", "flexDirection": "column", "alignItems": "center", "justifyContent": "center" }, (function () {
            var value = theme.spacing(4);
            return {
                "paddingTop": value,
                "paddingLeft": value,
                "paddingRight": value,
            };
        })()),
        "icon": __assign({}, (function () {
            var value = theme.spacing(6);
            return {
                "width": value,
                "height": value,
                "& svg": {
                    "width": value,
                    "height": value,
                },
            };
        })()),
        "icons": {
            "display": "flex",
            "flexDirection": "row",
            "gap": theme.spacing(4),
            "marginBottom": theme.spacing(3),
        },
        "link": {
            "color": theme.colors.useCases.typography.textPrimary,
        },
        "links": {
            "display": "flex",
            "flexDirection": "row",
            "gap": theme.spacing(4),
            "marginTop": theme.spacing(3),
            "marginBottom": theme.spacing(6),
        },
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlFooter = react_1.memo(function (props) {
    var bottomDiv = props.bottomDiv, className = props.className, info = props.info, iconLinks = props.iconLinks, links = props.links;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsxs("footer", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [iconLinks !== undefined && (jsx_runtime_1.jsx("div", __assign({ className: classNames.icons }, { children: iconLinks.map(function (iconLink) {
                    var _a;
                    return (jsx_runtime_1.jsx("div", __assign({ onClick: (_a = iconLink.link.onClick) !== null && _a !== void 0 ? _a : (function () {
                            var _a;
                            return (window.location.href =
                                (_a = iconLink.link.href) !== null && _a !== void 0 ? _a : "#");
                        }) }, { children: jsx_runtime_1.jsx(GlLogo_1.GlLogo, { className: classNames.icon, logoUrl: iconLink.iconUrl }, void 0) }), void 0));
                }) }), void 0)),
            links !== undefined && (jsx_runtime_1.jsx("div", __assign({ className: classNames.links }, { children: links.map(function (link) { return (jsx_runtime_1.jsx(Link_1.default, __assign({ href: link.href, onClick: link.onClick, className: classNames.link }, { children: link.title }), void 0)); }) }), void 0)), info, bottomDiv] }), void 0));
});
//# sourceMappingURL=GlFooter.js.map