"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlReviewSlider = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var react_2 = require("embla-carousel/react");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var tss_react_1 = require("tss-react");
var powerhooks_2 = require("powerhooks");
var theme_2 = require("../theme");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": __assign({}, (function () {
            var value = theme.spacing(12);
            return {
                "paddingLeft": value,
                "paddingRight": value,
            };
        })()),
        "heading": {
            "textAlign": "center",
            "marginBottom": theme.spacing(10),
        },
        "sliderWrapper": {
            "position": "relative",
            "display": "flex",
            "alignItems": "center",
            "justifyContent": "center",
        },
        "viewport": {
            "overflow": "hidden",
            "userSelect": "none",
            "width": "800px",
        },
        "container": {
            "display": "flex",
            "alignItems": "center",
        },
        "slide": {
            "position": "relative",
            "minWidth": "100%",
        },
        "arrows": {
            "transition": "transform 300ms",
            ":hover": {
                "transform": "scale(1.2)",
            },
        },
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlReviewSlider = react_1.memo(function (props) {
    var sliderContent = props.sliderContent, className = props.className, children = props.children, title = props.title;
    var _a = __read(react_2.useEmblaCarousel({ "loop": true }), 2), emblaRef = _a[0], emblaApi = _a[1];
    var onClickPrev = powerhooks_1.useConstCallback(function () { return emblaApi && emblaApi.scrollPrev(); });
    var onClickNext = powerhooks_1.useConstCallback(function () { return emblaApi && emblaApi.scrollNext(); });
    var useClassNames = powerhooks_2.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [title !== undefined && (jsx_runtime_1.jsx(Typography_1.default, __assign({ className: classNames.heading, variant: "h2" }, { children: title }), void 0)),
            jsx_runtime_1.jsxs("div", __assign({ className: classNames.sliderWrapper }, { children: [jsx_runtime_1.jsx(theme_2.Icon, { id: "arrowBackIos", className: classNames.arrows, onClick: onClickPrev }, void 0),
                    jsx_runtime_1.jsx("div", __assign({ className: classNames.viewport, ref: emblaRef }, { children: jsx_runtime_1.jsx("div", __assign({ className: classNames.container }, { children: sliderContent }), void 0) }), void 0),
                    jsx_runtime_1.jsx(theme_2.Icon, { id: "arrowForwardIos", className: classNames.arrows, onClick: onClickNext }, void 0)] }), void 0), children] }), void 0));
});
//# sourceMappingURL=GlReviewSlider.js.map