"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlSlideTemplate = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var theme_1 = require("../theme");
var GlSlide_1 = require("./GlSlide");
var react_1 = require("react");
var GlLogo_1 = require("../utils/GlLogo");
var Paper_1 = __importDefault(require("@material-ui/core/Paper"));
var Typography_1 = require("onyxia-ui/Typography");
var powerhooks_1 = require("powerhooks");
var react_markdown_1 = __importDefault(require("react-markdown"));
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": __assign({ "display": "flex", "flexDirection": "row", "alignItems": "center", "justifyContent": "space-between", "position": "relative" }, (theme.responsive.down("md")
            ? {
                "flexDirection": "column",
            }
            : {})),
        "paragraph": __assign(__assign({ "margin": theme.spacing(5), "fontSize": theme.typography.body1.fontSize, "fontWeight": theme.typography.body1.fontWeight, "lineHeight": theme.typography.body1.lineHeight }, (theme.responsive.down("md")
            ? {
                "textAlign": "center",
            }
            : {})), (theme.responsive.down("sm")
            ? __assign({}, (function () {
                var valueVertical = theme.spacing(1);
                var valueHorizontal = theme.spacing(5);
                return {
                    "marginTop": valueVertical,
                    "marginBottom": valueVertical,
                    "marginLeft": valueHorizontal,
                    "marginRight": valueHorizontal,
                };
            })()) : {})),
        "signature": __assign({ "textAlign": "right", "fontStyle": "italic", "marginRight": theme.spacing(5), "marginBottom": theme.spacing(5) }, (theme.responsive.down("md")
            ? {
                "textAlign": "center",
                "marginRight": 0,
            }
            : {})),
        "logo": __assign({ "width": 70, "marginLeft": theme.spacing(5), "& svg": {
                "width": 70,
                "height": 70,
            } }, (theme.responsive.down("md")
            ? {
                "marginLeft": 0,
                "marginTop": theme.spacing(5),
            }
            : {})),
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlSlideTemplate = react_1.memo(function (props) {
    var descriptionMd = props.descriptionMd, className = props.className, signature = props.signature, logoUrl = props.logoUrl;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsx(GlSlide_1.GlSlide, __assign({ className: className }, { children: jsx_runtime_1.jsxs(Paper_1.default, __assign({ className: classNames.root }, { children: [logoUrl !== undefined && (jsx_runtime_1.jsx(GlLogo_1.GlLogo, { logoUrl: logoUrl, className: classNames.logo }, void 0)),
                jsx_runtime_1.jsxs("div", { children: [descriptionMd !== undefined && (jsx_runtime_1.jsx(react_markdown_1.default, __assign({ className: classNames.paragraph }, { children: descriptionMd }), void 0)),
                        signature !== undefined && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.signature }, { children: signature }), void 0))] }, void 0)] }), void 0) }), void 0));
});
//# sourceMappingURL=GlSlideTemplate.js.map