"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlArticle = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var theme_1 = require("../theme");
var Typography_1 = require("onyxia-ui/Typography");
var react_markdown_1 = __importDefault(require("react-markdown"));
var powerhooks_1 = require("powerhooks");
var GlButton_1 = require("../utils/GlButton");
var react_1 = require("react");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": {
            "display": "flex",
            "flexDirection": "column",
            "textAlign": "left",
        },
        "title": __assign({ "marginBottom": 14 }, (theme.responsive.down("lg")
            ? {
                "fontSize": "22px",
                "lineHeight": "24px",
            }
            : {})),
        "paragraph": __assign({ "fontSize": theme.typography.body1.fontSize, "lineHeight": "24px", "marginTop": 14, "marginBottom": 14 }, (theme.responsive.down("lg")
            ? {
                "fontSize": "16px",
                "lineHeight": "20px",
            }
            : {})),
        "buttonWrapper": {
            "display": "flex",
            "justifyContent": "flex-end",
            "marginTop": 14,
        },
        "button": {
            "alignSelf": "right",
        },
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlArticle = react_1.memo(function (props) {
    var buttonLink = props.buttonLink, buttonLabel = props.buttonLabel, articleMd = props.articleMd, title = props.title;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsxs("article", { children: [title && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.title, variant: "h2" }, { children: title }), void 0)),
            articleMd && (jsx_runtime_1.jsx(react_markdown_1.default, __assign({ className: classNames.paragraph }, { children: articleMd }), void 0)),
            buttonLabel && (jsx_runtime_1.jsx("div", __assign({ className: classNames.buttonWrapper }, { children: jsx_runtime_1.jsx(GlButton_1.GlButton, __assign({ className: classNames.button, type: "submit" }, buttonLink, { color: "secondary" }, { children: buttonLabel }), void 0) }), void 0))] }, void 0));
});
//# sourceMappingURL=GlArticle.js.map