"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlSection = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var Typography_1 = require("onyxia-ui/Typography");
var react_1 = require("react");
var tss_react_1 = require("tss-react");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var hasArticleAndAside = _a.hasArticleAndAside;
        return ({
            "root": __assign(__assign({ "position": "relative" }, (function () {
                var valueTopBottom = theme.spacing(8);
                var valueLeftRight = theme.spacing(12);
                return {
                    "paddingTop": valueTopBottom,
                    "paddingBottom": valueTopBottom,
                    "paddingLeft": valueLeftRight,
                    "paddingRight": valueLeftRight,
                };
            })()), (theme.responsive.down("sm")
                ? __assign({}, (function () {
                    var value = theme.spacing(4);
                    return {
                        "paddingLeft": value,
                        "paddingRight": value,
                    };
                })()) : {})),
            "title": {
                "textAlign": "center",
                "marginBottom": theme.spacing(10),
            },
            "articleAndAsideWrapper": __assign({ "display": "grid", "gridTemplateColumns": "repeat(" + (hasArticleAndAside ? 2 : 1) + ", 1fr)", "marginTop": theme.spacing(8), "alignItems": "center", "gap": theme.spacing(12), "& code": {
                    "width": 0,
                } }, (theme.responsive.down("md")
                ? {
                    "gridTemplateColumns": undefined,
                    "gridAutoFlow": "row",
                }
                : {})),
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlSection = react_1.memo(function (props) {
    var className = props.className, heading = props.heading, aside = props.aside, article = props.article, children = props.children;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({
        "hasArticleAndAside": aside !== undefined && article !== undefined,
    }).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [heading && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.title, variant: "h2" }, { children: heading }), void 0)),
            jsx_runtime_1.jsxs("div", __assign({ className: classNames.articleAndAsideWrapper }, { children: [article, aside] }), void 0), children] }), void 0));
});
//# sourceMappingURL=GlSection.js.map