"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlLogo = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_svg_1 = require("react-svg");
var react_1 = require("react");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var tss_react_1 = require("tss-react");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var fill = _a.fill;
        return ({
            "svg": {
                "fill": fill !== null && fill !== void 0 ? fill : theme.colors.useCases.typography.textPrimary,
            },
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlLogo = react_1.memo(function (props) {
    var className = props.className, logoUrl = props.logoUrl, fill = props.fill;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({ fill: fill }).classNames;
    return logoUrl.endsWith(".svg") ? (jsx_runtime_1.jsx(react_svg_1.ReactSVG, { src: logoUrl, className: tss_react_1.cx(classNames.svg, className) }, void 0)) : (jsx_runtime_1.jsx("img", { src: logoUrl, className: className, alt: "logo" }, void 0));
});
//# sourceMappingURL=GlLogo.js.map